#******************************************************************************
#
#       Copyright:      2006-2022 Paul Obermeier (obermeier@tcl3d.org)
#
#                       See the file "Tcl3D_License.txt" for information on
#                       usage and redistribution of this file, and for a
#                       DISCLAIMER OF ALL WARRANTIES.
#
#       Module:         Tcl3D -> tcl3dFTGL
#       Filename:       pkgIndex.tcl
#
#       Author:         Paul Obermeier
#
#       Description:    Tcl index file for the tcl3dFTGL package.
#
#******************************************************************************

proc __tcl3dFTGLSourcePkgs { dir } {
    source -encoding utf-8 [file join $dir tcl3dFTGLQuery.tcl]
    load [file join $dir tcl3dFTGL@TCL_DEBUG_POSTFIX@[info sharedlibextension]] Tcl3dftgl
    source -encoding utf-8 [file join $dir tcl3dFTGLUtil.tcl]
}

if { ! [package vsatisfies [package provide Tcl] 8.6-] } {
    return
}
package ifneeded tcl3dftgl @TCL3D_VERSION@ "[list __tcl3dFTGLSourcePkgs $dir]"
